body {
    background-color: #1f1f1f;
}

h2 {
    color: #808080;
    font-size: 100%;
    font-family: Arial, Verdana, sans-serif;
    text-align: center;
  }

.ytPlayer {
    position: absolute;
    top: 100px;
    text-align: center;
    left: 50%;
    transform: translate(-50%, 0);
    box-shadow: 0 0 10px #aaa;
    border-radius: 10px;
}

.btn-grad {background-image: linear-gradient(to right, #1D2B64 0%, #F8CDDA  51%, #1D2B64  100%)}
.btn-grad {
   margin: 20px;
   padding: 15px 45px;
   text-align: center;
   text-transform: uppercase;
   transition: 0.5s;
   background-size: 200% auto;
   color: white;            
   box-shadow: 0 0 10px #aaa;
   border-radius: 10px;
   display: block;
   position: relative;
   text-align: center;
   left: 50%;
   transform: translate(-50%, 0);
 }

 .btn-grad:hover {
   background-position: right center; /* change the direction of the change here */
   color: #fff;
   text-decoration: none;
 }
